import { Document } from 'mongoose';

export interface ServerSettings extends Document {
  uuid?: string;
  issuerUrl?: string;
  infrastructureConsoleClientId?: string;
  backupBucket?: string;
  disableSignup?: boolean;
  otpExpiry?: number;
  regenerateOTP?: boolean;
  enableChoosingAccount?: boolean;
  enableCustomLogin?: boolean;
  refreshTokenExpiresInHours?: number;
  authCodeExpiresInMinutes?: number;
  organizationName?: string;
  enableUserPhone?: boolean;
  isUserDeleteDisabled?: boolean;
  passwordChangeRestricted?: boolean;
  enableUserOTP?: boolean;
  service?: string;
  systemEmailAccount?: string;
  logoUrl?: string;
  faviconUrl?: string;
  privacyUrl?: string;
  helpUrl?: string;
  termsUrl?: string;
  copyrightMessage?: string;
  avatarBucket?: string;
  modifiedBy?: string;
  modified?: Date;
  allowedFailedLoginAttempts?: number;
  forgotPasswordMessage?: string;
  forgotPasswordSubject?: string;
  completeSignupMessage?: string;
  completeSignupSubject?: string;
  verifyExistingEmailMessage?: string;
  verifyExistingEmailSubject?: string;
  verifyNewEmailMessage?: string;
  verifyNewEmailSubject?: string;
  loginOtpMessage?: string;
  loginOtpSubject?: string;
  passwordExpiryMessage?: string;
  passwordExpirySubject?: string;
  allowedScopes?: string[];
  emailDelayInSeconds?: number;
  passwordResetIntervalDays?: number;
  resendOTPDelayInSec?: number;
}
